<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	$cV01 = $_POST['v1'];	/* DESDE */
	$cV02 = $_POST['v2'];	/* HASTA */
?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// CONSULTA SQL
		$sql = "SELECT Z1.* \n"
			  ."FROM \n"
			  ."( \n"
			  ."	SELECT P.NUMSERIE, P.NUMPEDIDO, D.DOCUMENTO AS SUPEDIDO, SUM(D.CANTIDADDEVUELTA) UNIDADES, SUM(D.RECIBODESTINO) AS UNIDADES_RECIBIDAS, D.ICG \n"
			  ."	FROM JOIN_DEVOLUCIONES AS D \n"
			  ."	INNER JOIN PEDVENTACAB AS P ON (D.DOCUMENTO = P.SUPEDIDO COLLATE Modern_Spanish_CI_AS) \n"
			  ."	WHERE (D.MODULO=22) AND (D.FECHA >= '".$cV01."' AND D.FECHA <= '".$cV02."') AND (ISNULL(D.RECIBODESTINO, '') <> '') \n"
			  ."	GROUP BY P.NUMSERIE, P.NUMPEDIDO, D.DOCUMENTO, D.ICG \n"
			  .") AS Z1 \n"
			  ."ORDER BY Z1.NUMPEDIDO";
		$pa1 = array();
		$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
		// Lanzar la consulta
		$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
		if (sqlsrv_num_rows($re1) != 0)
		{
			echo "
			<div class='x_panel'>
				<div class='x_title'>
					<h3>Traslados preparados</h3>
					<div class='clearfix'></div>
				</div>
				<div class='table-responsive'>
					<table id='example' class='table table-striped table-bordered' style='width:100%'>
						<thead>
							<tr>
								<th></th>
								<th>SERIE</th>
								<th>PEDIDO</th>
								<th>SUPEDIDO</th>
								<th>UNIDADES</th>
								<th>UNIDADES RECIBIDAS</th>
								<th>CARRITO</th>
							</tr>
						</thead>
						<tbody>";
						while($fila = sqlsrv_fetch_array($re1))
						{
							$cV01 = $fila['NUMSERIE'];
							$cV02 = $fila['NUMPEDIDO'];
							$cV03 = $fila['SUPEDIDO'];
							$cV04 = $fila['ICG'];
							echo "
								<tr>
									<td>
										<button class='btn btn-sm btn-dark' type='button' data-placement='top' onclick=popup01('$cV01','$cV02','$cV03','$cV04') data-toggle='tooltip' data-original-title='Detalle'><i class='fa fa-list-alt'></i></button>
									</td>
									<td>".$fila['NUMSERIE']."</td>
									<td>".$fila['NUMPEDIDO']."</td>
									<td>".$fila['SUPEDIDO']."</td>
									<td>".$fila['UNIDADES']."</td>
									<td>".$fila['UNIDADES_RECIBIDAS']."</td>
									<td>".$fila['ICG']."</td>
								</tr>
							";
						}
						echo "
						</tbody>
					</table>
				</div>
			</div>
			";
		}
		else
		{
			echo "
			<div class='alert alert-warning alert-dismissible fade in' role='alert'>
			<button type='button' class='close' data-dismiss='alert' aria-label='Close'><span aria-hidden='true'>×</span>
			</button>
				Registros <strong>NO</strong> localizados.
			</div>
			";
		}
		sqlsrv_free_stmt($re1);
	}
	sqlsrv_close($conexion);
?>
<script>
	$(document).ready(function() {
		$('#example').DataTable();
	} );
</script>